Bug 239012 - (CVE-2007-2510) CVE-2007-2510 php make_http_soap_request flaw
CVE-2007-2510 php make_http_soap_request flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20070503,reported=20070503,sou...
:
Depends On: 239015 239016 239020 239026 239566
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 09:28 EDT by Mark J. Cox (Product Security)
Modified: 2008-01-16 12:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 12:03:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-05-04 09:28:56 EDT
The PHP update on 20070504 stated "-Fixed a remotely trigger-able buffer
overflow inside make_http_soap_request(). (CVE-NO-NAME, by Ilia Alshanetsky)"
Comment 1 Mark J. Cox (Product Security) 2007-05-08 11:32:06 EDT
text "A buffer overflow flaw was found in the PHP 'soap' extension, regarding the
handling of an HTTP redirect response when using the SOAP client provided
by this extension with an untrusted SOAP server. No mechanism to trigger
this flaw remotely is known. (CVE-2007-2510)"
Comment 2 Red Hat Product Security 2008-01-16 12:03:22 EST
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0355.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0348.html

Fedora:
  updated to fixed upstream version


Note You need to log in before you can comment on or make changes to this bug.